﻿



angular.module("umbraco")
    .controller("Umbraco.SPCPropertyEditors.Grid.ContentController",
    function ($scope, $rootScope, $timeout, dialogService, contentResource, contentEditingHelper) {

        $scope.setContentId = function () {

            if (!$scope.control.editor.config) {
                $scope.control.editor.config = Object;
            }

            if (!$scope.control.editor.config.startNode) {
                $scope.control.editor.config.startNode = -1;
            }
            

            dialogService.contentPicker({
                multiPicker: false,
                //section: "content",
                //treeAlias: "content",
                startNodeId: $scope.control.editor.config.startNode,
                //filter: 'PagePartGoogleMap',
                filterAdvanced: true,
                filter: function(nodes) {return nodes.metaData.contentType.indexOf('PagePart')!=0;},
                callback: function (content) {

                    $scope.control.value = {
                        id: content.id,
                        name: content.name,
                        path: content.path
                    };
                    $scope.setPreview();
                }
            });
        };

        $scope.setPreview = function () {

            if ($scope.control.value.id) {
                contentResource.getById($scope.control.value.id)
                   .then(function (content) {
                       var props = contentEditingHelper.getAllProps(content);
                       $scope.name = content.name;
                       $scope.icon = content.icon;
                       $scope.id = content.id;

                       var text1 = $.grep(props, function (e) { return e.alias == 'AliasOfPropertyToGet'; });
                       if (text1.length > 0)
                       {
                           $scope.text1 = text1[0].value;
                       }


                       // TODO convert path Ids to node names
                       $scope.path = content.path;
                   });
            }
        };



        $timeout(function () {
            if ($scope.control.$initializing) {
                $scope.setContentId();
            } else {
                $scope.setPreview();
            }
        }, 200);
    });




